NETCACHE(1)

NAME
netcache - local Internet cache handler for offpunk

SYNOPSIS
netcache [--path] [--ids] [--offline] [--max-size MAX_SIZE] [--timeout TIMEOUT] [URL ...]
netcache -h | --help

DESCRIPTION
Netcache is a command-line tool to retrieve, cache and access networked content. By default, netcache will returns a cached version of a given URL, downloading it only if a cache version doesn't exist. A validity duration, in seconds, can also be given so netcache downloads the content only if the existing cache is older than the validity.

Netcache can be forced into offline mode, in order to only fetch resources from the local cache, otherwise it would always refresh it from the version available online. It is also useful for mapping a given URL to its location in the cache, independently of whether it has been downloaded first.

  Positional arguments

URL download the URL and output the content.

  Keyword arguments

-h, --help
    show a help message and exit.

--path
    output the path to the cache instead of the content of the URL.

--ids
    return a list of id's for the gemini-site instead of the content of the cache.

--offline
    do not attempt to download, return the cached version instead, or error if absent from the cache.

--max-size MAX_SIZE
    cancel download of items above that size. The value is expressed in megabytes.

--timeout TIMEOUT
    time to wait before cancelling connection. The value is expressed in seconds.

--cache-validity -CACHE_VALIDITY
    Maximum age (in second) of the cached version before redownloading a new version.

EXIT STATUS

ENVIRONMENT
Set OFFPUNK_CACHE_PATH environment variable to use another location.

    OFFPUNK_CACHE_PATH=/home/ploum/custom-cache netcache.py gemini://some.url

FILES
Default cache path is ~/.cache/offpunk.

SEE ALSO
ansicat(1), migrate-offpunk-cache(1), offpunk(1), openk(1), https://offpunk.net/

AUTHORS
Lionel Dricot (Ploum) <offpunk2 at ploum.eu>